Skip to main content
POST
/
{cert_id}
Claiming a Certificate
curl --request POST \
  --url https://cert.trustedform.com/{cert_id} \
  --header 'Content-type: <content-type>' \
  --data '
{
  "email_1": "user@example.com",
  "forbidden_scan_terms": "I do not agree to the terms of service",
  "phone_1": "999-999-0909",
  "reference": "1128238382829",
  "required_scan_terms": "I agree to the terms of service",
  "vendor": "Acme Co."
}
'
{
  "fingerprints": {
    "matching": [
      "c4a8e7fe184993964ae81380e91579015306838a",
      "d511850d569bcd7802c30f54de34bb9f2b31eede"
    ],
    "non_matching": [
      "d511850d569bcd7802c30f54de34bb9f2b31eed1"
    ]
  },
  "is_masked": false,
  "masked_cert_url": "https://example.com/1145b610ac97aa9f92d7cd2195446eac5e67ce53",
  "outcome": "success",
  "scans": {
    "forbidden_found": [
      "Enim sit amet venenatis"
    ],
    "forbidden_not_found": [
      "Est velit egestas"
    ],
    "required_found": [
      "lorem ipsum dolor"
    ],
    "required_not_found": [
      "Ad qui aperiri"
    ]
  },
  "warnings": []
}

Headers

Content-type
string
required

Can be either application/json or application/x-www-form-urlencoded.

Path Parameters

cert_id
string
required

Certificate ID

Body

application/json

Claiming Parameters

POST body for claiming a cert

email
string

When claiming a certificate, you can pass an optional email (or email_1, email_2, etc) parameter. TrustedForm will extract the email value and perform fingerprinting against the available data.

fingerprints
string

When you claim a certificate you can calculate lead fingerprint values using the email and phone number you received in the lead data accompanying the certificate. Each fingerprint value is an SHA1 hash of an email or phone value. Each fingerprint value should be provided in a fingerprint parameter.

If none of the fingerprints you provide match a fingerprint collected on the certificate you will receive the "none of the provided fingerprints match" message in the claim warnings field. This indicates that the lead data collected on the form does not match the lead data that you received.

forbidden_scan_terms

Use this parameter to perform a scan of the page for text that must not be present. TrustedForm will then perform a case and whitespace insensitive search for the string. If the string is not found in the HTML document, then "string found in snapshot" will be included in the warnings key of the claim response.

phone
string

When claiming a certificate, you can pass an optional phone (or phone_1, phone_2, etc) parameter. TrustedForm will extract the phone number value and perform fingerprinting against the available data.

reference
string

When you claim a certificate, you can include an optional parameter reference We will store this value in the certificate's claim record. A use case for the reference parameter is to add your unique lead identifier to the claim record, which will provide a reference point from the claim to the certified lead that you received.

This will indicate which lead a certificate belongs to just by examining the certificate data. In the case that your publisher has passed you two leads with the same Certificate URL, this reference parameter will allow you to determine which lead it was originally passed with.

required_scan_terms

Use this parameter to perform a scan of the page for required text. TrustedForm will then perform a case and whitespace insensitive search for the string. If the string is not found in the HTML document, then "string not found in snapshot" will be included in the warnings key of the claim response.

scan_delimiter
string

You can provide your own delimiter to use when wrapping wildcards or tempate variablies. Your choice of delimiter must be homogeneous (i.e. the beginning and end are the same character(s)), such as |, ==, or |||.

vendor
string

When claiming a certificate, you can pass the optional vendor parameter. This is intended for tracking the name of the company that provided the lead associated with the certificate. We will store this value in the certificate’s claim record. When you use TrustedForm reporting, you can easily filter or group by a vendor.

Response

Claim Created Response

fingerprints
Fingerprints · object
required
Example:
{
"matching": [
"c4a8e7fe184993964ae81380e91579015306838a",
"d511850d569bcd7802c30f54de34bb9f2b31eede"
],
"non_matching": ["d511850d569bcd7802c30f54de34bb9f2b31eed1"]
}
is_masked
boolean
required

A boolean indicating whether the certificate is masked

masked_cert_url
string | null
required

A certificate url that masks the lead source url and snapshot

outcome
enum<string>
default:success
required

The result of the attempt to verify consent. Success indicates that the certificate was claimed and did not generate any warnings related to consent verification. Failure indicates that the certificate was claimed but generated warnings because no fingerprints matched, forbidden scan terms were found or required scan terms were missing. Error indicates that the certificate was not claimed and the request should be reviewed and potentially retried.

Available options:
success,
failure,
error
scans
PageScans · object
required
Example:
{
"forbidden_found": ["Enim sit amet venenatis"],
"forbidden_not_found": ["Est velit egestas"],
"required_found": ["lorem ipsum dolor"],
"required_not_found": ["Ad qui aperiri"]
}
reason
string

Provides an explanation for failure or error.

Only used for outcome of failure or error.

warnings
enum<string>[]

An array of strings indicating possible issues with the certificate

  • none of the provided fingerprints match: No fingerprints matched.
  • snapshot scan failed: The snapshot was unable to be scanned.
  • string not found in snapshot: A required page scan text was not found.
  • string found in snapshot: A forbidden page scan text was found.
Available options:
none of the provided fingerprints match,
snapshot scan failed,
string not found in snapshot,
string found in snapshot